### Method

# Json Node equal

since: 1.2

#### Declaration [src]

    gboolean
    json_node_equal (
      gconstpointer a,
      gconstpointer b
    )

#### Description [src]

Check whether `a` and `b` are equal node, meaning they have the same type and same values (checked recursively).

Note that integer values are compared numerically, ignoring type, so a double value 4.0 is equal to the integer value 4.

Available since: 1.2

#### Parameters

`b`

  Type: `JsonNode`

  Another JSON node.

#### Return value

Type: `gboolean`

`TRUE` if `a` and `b` are equal; `FALSE` otherwise.